Unit: update a single student's grades
Updates a single student's grade for a unit. The grade_name must match either final (the overall grade) or the name of a partial grade defined on the unit (e.g. __coursework). The student must already be registered to the unit.
Path Parameters
- Type: stringunit
_id requiredUnique identifier of the unit.
Body
required
application/json
- Type: stringgrade
_name requiredName of the grade to update. Use
finalfor the overall grade or the partial grade name (e.g.__coursework). - Type: numbergrade
_value requiredNumeric grade value.
- Type: stringprofile
_id requiredID of the student profile.
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for post/apis/units/units/{unit_id}/grades
curl https://ff-business-school.fullfabric.cloud/apis/units/units/507f1f77bcf86cd799439011/grades \
--request POST \
--header 'Content-Type: application/json' \
--header 'FF-Auth: YOUR_SECRET_TOKEN' \
--data '{
"profile_id": "6385bdd4976a7719120108e9",
"grade_name": "final",
"grade_value": 80
}'
{
"id": "681ba4d6b17887f608053456",
"transcript_id": "681b7ab7108f0da30cc0e8a7",
"transcript_subject_id": "681b7ab7108f0da30cc0e8a9",
"unit_id": "6385baad976a7719120008e3",
"registration_state": "registered",
"published": true,
"awarded": true,
"grade_state_name": "pass",
"grade_notes": "",
"grade_feedback": "",
"grades": [
{
"label": "Final grade",
"name": "final",
"published": true,
"value": "80"
}
],
"created_at": 1746642134000,
"updated_at": 1746642814000
}